GET /teams/{teamId}/files/storage/quota
Quota da team (used/total/count/plan)
- Access: Signed in
- Service:
https://files-api.axuz.net
Accepted authentication
sessionCookie— Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.bearerSession— JWT de acesso da sessão em `Authorization: Bearer`.
Fase 133c — resolve allowance via subscriptions ↔ subscription_plans. quota=0 sinaliza "ilimitado" (UI esconde barra).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamId | path | string | yes |
Responses
200
OK
| Name | Type | Required | Description |
|---|---|---|---|
quota | integer | no | 0 = ilimitado |
used | integer | no | |
available | integer | no | |
count_files | integer | no | |
plan_id | string<uuid> | null | no | |
plan_slug | string | null | no | |
plan_name | string | null | no | |
plan_status | string | null | no |
401
Sem credencial valida
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Erro interno. Tente de novo com backoff; reporte o X-Request-Id.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X GET 'https://files-api.axuz.net/teams/TEAM_ID/files/storage/quota' \
-H "Authorization: Bearer $AXUZ_TOKEN"Node.js
const res = await fetch("https://files-api.axuz.net/teams/TEAM_ID/files/storage/quota", {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
},
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://files-api.axuz.net/teams/TEAM_ID/files/storage/quota",
headers={
"Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
},
timeout=30,
)
res.raise_for_status()
print(res.json())